View Issue Details

IDProjectCategoryView StatusLast Update
0005700Simple:Pressinstallation/upgradepublic2017-07-11 01:58
ReporterYellow SwordfishAssigned ToYellow Swordfish 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.8 
Target Version5.8Fixed in Version5.8 
Summary0005700: Clean up the creation of permissions, auths and authcats
DescriptionRoutines in admin/library/*spa-support.php* - lines 228 to 712 - create permissions, auths and authcats but there is more going on between those two lines of code and the whole thing is rather a mess.

I believe some of these routines are also called from the creation of auths and permissions so care needs to made.

Note that some of these routines also factor in auths that appears in plugins.

We no longer need worry about upgrading from V4 to V5 so it is only the install and new auths that address these functions.
TagsNo tags attached.
change_log_textClean up auth, authcat and roles creation
typedefect

Activities

svn

svn

2016-12-29 21:45

administrator   ~0018944

Changeset [14948] by andy on 2016-12-29 16:45:32 -0500 (Thu, 29 Dec 2016)

test issue 0005700
Reduce and clean up permissions create and reset code.

 Changed Files:

U trunk/admin/library/spa-support.php
U trunk/sp-api/sp-api-class-spcauths.php
U trunk/sp-startup/install/sp-upgrade.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14948
Yellow Swordfish

Yellow Swordfish

2016-12-30 17:11

administrator   ~0018958

Stupid me. The auth records get created but not written to the DB!
Yellow Swordfish

Yellow Swordfish

2016-12-30 17:27

administrator   ~0018960

Take that back. It was just a bad call that had not been changed.

Issue History

Date Modified Username Field Change
2016-12-28 20:26 Yellow Swordfish New Issue
2016-12-29 21:44 Yellow Swordfish Assigned To => Yellow Swordfish
2016-12-29 21:45 svn =>
2016-12-29 21:45 svn Note Added: 0018944
2016-12-29 21:45 svn Status new => testing
2016-12-30 17:11 Yellow Swordfish Status testing => rework
2016-12-30 17:11 Yellow Swordfish change_log_text => Clean up auth, authcat and roles creation
2016-12-30 17:11 Yellow Swordfish Note Added: 0018958
2016-12-30 17:27 Yellow Swordfish Status rework => testing
2016-12-30 17:27 Yellow Swordfish Note Added: 0018960
2017-01-01 17:55 Mr Papa Status testing => closed
2017-01-01 17:55 Mr Papa Resolution open => fixed
2017-01-01 17:55 Mr Papa Fixed in Version => 6.0
2017-07-11 01:57 Mr Papa Product Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8